<?php
/**
 * @package XCube
 * @version $Id: XCube_BlockProcedure.class.php,v 1.1.2.4 2006/08/03 09:30:34 minahito Exp $
 */

/**
 * @package XCube
 */
class XCube_BlockProcedure
{
	function XCube_BlockProcedure()
	{
	}
	
	function getName()
	{
	}
	
	function execute(&$controller, &$user, &$render)
	{
	}
	
	function getId()
	{
	}
	
	function enableCached()
	{
		return true;
	}
	
	/**
	 * Return cache time
	 * @return int
	 */
	function getCacheTime()
	{
		return 0;
	}

	function getTitle()
	{
	}
	
	function getEntryIndex()
	{
	}
	
	function getWeight()
	{
	}
	
	function hasResult()
	{
	}

	function &getResult()
	{
	}
	
	/**
	 * Return a name of the render-system which this object requests to render.
	 *
	 * @return string
	 */
	function getRenderSystemName()
	{
	}
}

?>